#!/usr/bin/python3
import sys
import RPi.GPIO as GPIO
import time

def angleToDuty(angle):
    return (angle / 18 + 2)

angle2 = int(sys.argv[1])
GPIO.setmode(GPIO.BCM)
servoPin=4
pwm_freq = 50
GPIO.setup(servoPin, GPIO.OUT)
servo = GPIO.PWM(servoPin, pwm_freq)

servo.start(0)
servo.ChangeDutyCycle(angleToDuty(angle2))
time.sleep(1)
servo.stop()
GPIO.cleanup()

